<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>RxJS Ukidanje Pretplate</title>
  </head>

  <body>
    <script src="rxjs.umd.js"></script>
    <script>
      const tokPrimer$ = rxjs.interval(1000);
      const posmatrac = {
        next(x) {
          console.log('Dobijena vrednost:', x);
        }
      };

      const pretplata = tokPrimer$.subscribe(posmatrac);
      setTimeout(() => {
        pretplata.unsubscribe();
      }, 5000);
    </script>
  </body>
</html>
